# vfs.h File Reference

`#include <ubixos/types.h>`

Go to the source code of this file.

## Data Structures

struct | fileDescriptorStruct
struct | fileSystem

## Defines

#define | maxFd 32
#define | fdAvail 1
#define | fdOpen 2
#define | fdRead 3
#define | fdEof 4
#define | fileRead 0x0001
#define | fileWrite 0x0002
#define | fileBinary 0x0004
#define | fileAppend 0x0008

## Typedefs

typedef fileDescriptorStruct | fileDescriptor

## Functions

int | vfsInit ()
int | vfsRegisterFS (int, void *, void *, void *, void *, void *, void *, void *, void *)
fileSystem * | vfsFindFS (int)
fileDescriptor * | fopen (const char *file, const char *flags)

## Define Documentation

#define fdAvail 1

#define fdEof 4

#define fdOpen 2

#define fdRead 3

#define fileAppend 0x0008

#define fileBinary 0x0004

#define fileRead 0x0001

#define fileWrite 0x0002

#define maxFd 32

## Typedef Documentation

typedef struct fileDescriptorStruct fileDescriptor

## Function Documentation

fileDescriptor* fopen | ( | const char * | file,
|  | const char * | flags
| ) |

struct fileSystem* vfsFindFS | ( | int |  | ) |

int vfsInit | ( |  | ) |

int vfsRegisterFS | ( | int | ,
|  | void * | ,
|  | void * | ,
|  | void * | ,
|  | void * | ,
|  | void * | ,
|  | void * | ,
|  | void * | ,
|  | void * |
| ) |